# class Mail::Encodings::EightBit

### Constants

NAME
PRIORITY

### Public Class Methods

compatible_input?(str) click to toggle source

Per RFC 2821 4.5.3.1, SMTP lines may not be longer than 1000 octets including the <CRLF>.

    # File lib/mail/encodings/8bit.rb, line 28
    def self.compatible_input?(str)
      !str.lines.find { |line| line.length > 998 }
    end

cost(str) click to toggle source

Idenity encodings have a fixed cost, 1 byte out per 1 byte in

    # File lib/mail/encodings/8bit.rb, line 23
    def self.cost(str)
      1.0
    end

decode(str) click to toggle source

Decode the string

    # File lib/mail/encodings/8bit.rb, line 13
    def self.decode(str)
      ::Mail::Utilities.to_lf str
    end

encode(str) click to toggle source

Encode the string

    # File lib/mail/encodings/8bit.rb, line 18
    def self.encode(str)
      ::Mail::Utilities.to_crlf str
    end